Subject: Re: [Gen-art] [Extra] Genart last call review of draft-ietf-extra-imap-list-myrights-05

From: Alissa Cooper <[email-masked]>
Date: Wed, 6 Jun 2018 15:11:42 -0400

Dale, thanks for your review. Barry, thanks for your response. Since the comments are all editorial I think you can address them as you see fit. I entered a No Objection ballot.

Alissa

> On May 17, 2018, at 9:42 AM, Barry Leiba <[email-masked]> wrote:
> 
> > 3.  MYRIGHTS Return Option to LIST Command
> >
> >    The ordering of the responses is significant only in that
> >    the server MUST NOT send a MYRIGHTS response for a given mailbox
> >    before it sends the LIST response for that mailbox.
> >
> > It's clear what this means, but I think the wording is not quite
> > correct.
> 
> I don’t understand why you think it’s wrong as it is.  I think it’s fine (well, it’s my text, actually, so of course I do) and don’t see the problem.  While your suggestions are also OK, I don’t think any is better.
> 
> > (In regard to the substance of this constraint, it's not clear to me
> > why it exists, but I assume that the authors know of a reason for it.)
> 
> The reason is that the client will be building a data structure of mailboxes, and it’s possible that clients won’t be able to handle a MYRIGHTS response when they have not built the mailbox entry from the corresponding LIST response.  Another way to handle this would be to say that clients MUST be able to do that, it’s very unlikely that a server implementation would want to send them in the other order anyway, so it’s easier to set the restriction there.
> 
> Barry
> _______________________________________________
> Gen-art mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/gen-art